from enum import Enum
from controls.controller import Controllers

class Players(Enum):
    UP1 = 1
    UP2 = 2

class Player:
    def __init__(self):
        self.controls = None
        
    @property
    def player(self) -> int:
        return self._player
    
    @player.setter
    def player(self, plr: int) -> None:
        self._player = plr
    
    @property
    def controls(self) -> Controllers:
        return self._controls
    
    @controls.setter
    def controls(self, ctl: Controllers) -> None:
        self._controls = ctl
        